NX Open C++ Reference Guide
|
Reduce Surface Radius Builder of Geometric Utilities. More...
Public Types | |
enum | FaceSelectionSpecification { FaceSelectionSpecificationRadius, FaceSelectionSpecificationChain, FaceSelectionSpecificationSelect } |
Specify the face selection type. More... | |
enum | ReducedFaceTypeSpecification { ReducedFaceTypeSpecificationFaceGroup, ReducedFaceTypeSpecificationSingleChainInGroup, ReducedFaceTypeSpecificationSingleChain } |
Specify three ways to do preview. More... | |
enum | ReduceValueTypeSpecification { ReduceValueTypeSpecificationPercentage, ReduceValueTypeSpecificationValue, ReduceValueTypeSpecificationDelta } |
Specify the reduction method. More... | |
Public Member Functions | |
bool | Direction () |
Returns the direction which specifies concave face respect to the body face normal Created in NX9.0.0. | |
NXOpen::GeometricUtilities::ReduceSurfaceRadiusFaceGroupBuilderList * | FaceGroupList () |
Returns the list containing the face chains as input objects used to do reduction. | |
double | HighRadius () |
Returns the high radius which specifies lower limit to filter out all qualified faces Created in NX9.0.0. | |
int | IndexListItem () |
Returns the index of list item Created in NX9.0.0. | |
double | LowRadius () |
Returns the low radius which specifies lower limit to filter out all qualified faces Created in NX9.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | OnPathDimEnd () |
Returns the end position of reduced sheet body Created in NX9.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | OnPathDimStart () |
Returns the start position of reduced sheet body Created in NX9.0.0. | |
double | PercentReduction () |
Returns the value of percentage reduction method Created in NX9.0.0. | |
double | PositionTolerance () |
Returns the position tolerance between two faces connection Created in NX9.0.0. | |
NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReducedFaceTypeSpecification | ReducedFaceType () |
Returns the type of performing the radius reduction preview Created in NX9.0.0. | |
NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReduceValueTypeSpecification | ReduceValueType () |
Returns the type of reduced value which results surface shape Created in NX9.0.0. | |
NXOpen::ScCollector * | SelectChain () |
Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Chain" and "Single Selection" Created in NX9.0.0. | |
NXOpen::ScCollector * | SelectFace () |
Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Radius" Created in NX9.0.0. | |
void | SetDirection (bool direction) |
Sets the direction which specifies concave face respect to the body face normal Created in NX9.0.0. | |
void | SetHighRadius (double highRadius) |
Sets the high radius which specifies lower limit to filter out all qualified faces Created in NX9.0.0. | |
void | SetIndexListItem (int index) |
Sets the index of list item Created in NX9.0.0. | |
void | SetLowRadius (double lowRadius) |
Sets the low radius which specifies lower limit to filter out all qualified faces Created in NX9.0.0. | |
void | SetPercentReduction (double percentReduction) |
Sets the value of percentage reduction method Created in NX9.0.0. | |
void | SetPositionTolerance (double positionTolerance) |
Sets the position tolerance between two faces connection Created in NX9.0.0. | |
void | SetReducedFaceType (NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReducedFaceTypeSpecification reducedFaceType) |
Sets the type of performing the radius reduction preview Created in NX9.0.0. | |
void | SetReduceValueType (NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReduceValueTypeSpecification reduceValueType) |
Sets the type of reduced value which results surface shape Created in NX9.0.0. | |
void | SetTangentTolerance (double tangentTolerance) |
Sets the tangent tolerance between two faces connection Created in NX9.0.0. | |
void | SetTargetReduction (double targetReduction) |
Sets the target value method Created in NX9.0.0. | |
void | SetValueReduction (double valueReduction) |
Sets the value of reduction value method Created in NX9.0.0. | |
double | TangentTolerance () |
Returns the tangent tolerance between two faces connection Created in NX9.0.0. | |
double | TargetReduction () |
Returns the target value method Created in NX9.0.0. | |
double | ValueReduction () |
Returns the value of reduction value method Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Reduce Surface Radius Builder of Geometric Utilities.
This builder's Commit can produce more than one object, the GetCommittedObjects can be used to get the objects.
To create a new instance of this class, use GeometricUtilities::CAMDataPrepManager::CreateReduceSurfaceRadiusBuilder
Default values.
Property | Value |
---|---|
HighRadius |
10.0 (millimeters part), 0.4 (inches part) |
LowRadius |
0.5 (millimeters part), 0.02 (inches part) |
PercentReduction |
100 |
ReduceValueType |
Percentage |
TargetReduction |
0 |
ValueReduction |
0.1 |
Created in NX9.0.0.
Specify the face selection type.
There are three types: Select Faces by Radius, Select Faces by Chain and Single Selection.
Specify three ways to do preview.
FaceGroup: Preview all list items. SingleChainInGroup: Preview selected list item. SingleChain: Preview face chain which is selected by "Select Faces by Chain" and "Single Face"
bool NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::Direction | ( | ) |
Returns the direction which specifies concave face respect to the body face normal
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::ReduceSurfaceRadiusFaceGroupBuilderList* NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::FaceGroupList | ( | ) |
Returns the list containing the face chains as input objects used to do reduction.
Created in NX9.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::HighRadius | ( | ) |
Returns the high radius which specifies lower limit to filter out all qualified faces
Created in NX9.0.0.
License requirements : None
int NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::IndexListItem | ( | ) |
Returns the index of list item
Created in NX9.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::LowRadius | ( | ) |
Returns the low radius which specifies lower limit to filter out all qualified faces
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::OnPathDimEnd | ( | ) |
Returns the end position of reduced sheet body
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::OnPathDimStart | ( | ) |
Returns the start position of reduced sheet body
Created in NX9.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::PercentReduction | ( | ) |
Returns the value of percentage reduction method
Created in NX9.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::PositionTolerance | ( | ) |
Returns the position tolerance between two faces connection
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReducedFaceTypeSpecification NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReducedFaceType | ( | ) |
Returns the type of performing the radius reduction preview
Created in NX9.0.0.
License requirements : None
NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReduceValueTypeSpecification NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReduceValueType | ( | ) |
Returns the type of reduced value which results surface shape
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SelectChain | ( | ) |
Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Chain" and "Single Selection"
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SelectFace | ( | ) |
Returns the selected entities for performing the radius reduction operation, which selected by "Select Faces by Radius"
Created in NX9.0.0.
License requirements : None
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetDirection | ( | bool | direction | ) |
Sets the direction which specifies concave face respect to the body face normal
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
direction | direction |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetHighRadius | ( | double | highRadius | ) |
Sets the high radius which specifies lower limit to filter out all qualified faces
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
highRadius | highradius |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetIndexListItem | ( | int | index | ) |
Sets the index of list item
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
index | index |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetLowRadius | ( | double | lowRadius | ) |
Sets the low radius which specifies lower limit to filter out all qualified faces
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
lowRadius | lowradius |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetPercentReduction | ( | double | percentReduction | ) |
Sets the value of percentage reduction method
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
percentReduction | percentreduction |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetPositionTolerance | ( | double | positionTolerance | ) |
Sets the position tolerance between two faces connection
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
positionTolerance | positiontolerance |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetReducedFaceType | ( | NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReducedFaceTypeSpecification | reducedFaceType | ) |
Sets the type of performing the radius reduction preview
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
reducedFaceType | reducedfacetype |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetReduceValueType | ( | NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ReduceValueTypeSpecification | reduceValueType | ) |
Sets the type of reduced value which results surface shape
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
reduceValueType | reducevaluetype |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetTangentTolerance | ( | double | tangentTolerance | ) |
Sets the tangent tolerance between two faces connection
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
tangentTolerance | tangenttolerance |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetTargetReduction | ( | double | targetReduction | ) |
Sets the target value method
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
targetReduction | targetreduction |
void NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::SetValueReduction | ( | double | valueReduction | ) |
Sets the value of reduction value method
Created in NX9.0.0.
License requirements : nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")
valueReduction | valuereduction |
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::TangentTolerance | ( | ) |
Returns the tangent tolerance between two faces connection
Created in NX9.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::TargetReduction | ( | ) |
Returns the target value method
Created in NX9.0.0.
License requirements : None
double NXOpen::GeometricUtilities::ReduceSurfaceRadiusBuilder::ValueReduction | ( | ) |
Returns the value of reduction value method
Created in NX9.0.0.
License requirements : None